svn commit: r223551 - in stable/7: etc/defaults etc/rc.d
share/man/man5
Doug Barton
dougb at FreeBSD.org
Sat Jun 25 23:09:26 UTC 2011
Author: dougb
Date: Sat Jun 25 23:09:25 2011
New Revision: 223551
URL: http://svn.freebsd.org/changeset/base/223551
Log:
MFC r223264:
Add rc.d/kld to load kernel modules after local disks are up.
Added:
stable/7/etc/rc.d/kld
- copied unchanged from r223264, head/etc/rc.d/kld
Modified:
stable/7/etc/defaults/rc.conf
stable/7/etc/rc.d/Makefile
stable/7/etc/rc.d/var
stable/7/share/man/man5/rc.conf.5
Directory Properties:
stable/7/etc/ (props changed)
stable/7/share/man/man5/ (props changed)
Modified: stable/7/etc/defaults/rc.conf
==============================================================================
--- stable/7/etc/defaults/rc.conf Sat Jun 25 23:05:56 2011 (r223550)
+++ stable/7/etc/defaults/rc.conf Sat Jun 25 23:09:25 2011 (r223551)
@@ -37,6 +37,7 @@ ddb_enable="NO" # Set to YES to load dd
ddb_config="/etc/ddb.conf" # ddb(8) config file.
devd_enable="YES" # Run devd, to trigger programs on device tree changes.
devd_flags="" # Additional flags for devd(8).
+#kld_list="" # Kernel modules to load after local disks are mounted
kldxref_enable="NO" # Build linker.hints files with kldxref(8).
kldxref_clobber="NO" # Overwrite old linker.hints at boot.
kldxref_module_path="" # Override kern.module_path. A ';'-delimited list.
Modified: stable/7/etc/rc.d/Makefile
==============================================================================
--- stable/7/etc/rc.d/Makefile Sat Jun 25 23:05:56 2011 (r223550)
+++ stable/7/etc/rc.d/Makefile Sat Jun 25 23:09:25 2011 (r223551)
@@ -18,7 +18,7 @@ FILES= DAEMON FILESYSTEMS LOGIN NETWORKI
ip6addrctl ip6fw ipfilter ipfs ipfw ipmon \
ipnat ipsec ipxrouted isdnd \
jail \
- kadmind kerberos keyserv kldxref kpasswdd \
+ kadmind kerberos keyserv kld kldxref kpasswdd \
ldconfig local localpkg lockd lpd \
mixer motd mountcritlocal mountcritremote mountlate \
mdconfig mdconfig2 mountd moused mroute6d mrouted msgs \
Copied: stable/7/etc/rc.d/kld (from r223264, head/etc/rc.d/kld)
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ stable/7/etc/rc.d/kld Sat Jun 25 23:09:25 2011 (r223551, copy of r223264, head/etc/rc.d/kld)
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# Copyright (c) 2011 Douglas Barton
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+# PROVIDE: kld
+# REQUIRE: FILESYSTEMS
+# KEYWORD: nojail
+
+. /etc/rc.subr
+
+name="kld"
+
+start_cmd="${name}_start"
+stop_cmd=':'
+
+kld_start()
+{
+ [ -n "$kld_list" ] || return
+
+ local _kld
+
+ echo 'Loading kernel modules:'
+ for _kld in $kld_list ; do
+ load_kld -e ${_kld}.ko $_kld
+ done
+}
+
+load_rc_config $name
+run_rc_command "$1"
Modified: stable/7/etc/rc.d/var
==============================================================================
--- stable/7/etc/rc.d/var Sat Jun 25 23:05:56 2011 (r223550)
+++ stable/7/etc/rc.d/var Sat Jun 25 23:09:25 2011 (r223551)
@@ -28,7 +28,7 @@
#
# PROVIDE: var
-# REQUIRE: FILESYSTEMS
+# REQUIRE: FILESYSTEMS kld
. /etc/rc.subr
Modified: stable/7/share/man/man5/rc.conf.5
==============================================================================
--- stable/7/share/man/man5/rc.conf.5 Sat Jun 25 23:05:56 2011 (r223550)
+++ stable/7/share/man/man5/rc.conf.5 Sat Jun 25 23:09:25 2011 (r223551)
@@ -24,7 +24,7 @@
.\"
.\" $FreeBSD$
.\"
-.Dd January 7, 2011
+.Dd June 18, 2011
.Dt RC.CONF 5
.Os
.Sh NAME
@@ -189,6 +189,14 @@ Configuration file for
.Xr ddb 8 .
Default
.Pa /etc/ddb.conf .
+.It Va kld_list
+.Pq Vt str
+A list of kernel modules to load right after the local
+disks are mounted.
+Loading modules at this point in the boot process is
+much faster than doing it via
+.Pa /boot/loader.conf
+for those modules not necessary for mounting local disk.
.It Va kldxref_enable
.Pq Vt bool
Set to
More information about the svn-src-stable-7
mailing list